Index: src/etc/Makefile
===================================================================
RCS file: /usr/obj/src/etc/Makefile,v
retrieving revision 1.320
diff -u -r1.320 Makefile
--- src/etc/Makefile	3 Oct 2003 19:38:21 -0000	1.320
+++ src/etc/Makefile	21 Oct 2003 20:24:34 -0000
@@ -69,6 +69,7 @@
 	    ${INSTALL} -o ${BINOWN} -g ${BINGRP} -m 600 \
 		master.passwd nsmb.conf opieaccess ${DESTDIR}/etc; \
 	    pwd_mkdb -p -d ${DESTDIR}/etc ${DESTDIR}/etc/master.passwd
+	cd ${.CURDIR}/bluetooth; ${MAKE} install
 	cd ${.CURDIR}/defaults; ${MAKE} install
 	cd ${.CURDIR}/periodic; ${MAKE} install
 	cd ${.CURDIR}/rc.d; ${MAKE} install
Index: src/etc/bluetooth/Makefile
===================================================================
RCS file: src/etc/bluetooth/Makefile
diff -N src/etc/bluetooth/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ src/etc/bluetooth/Makefile	21 Oct 2003 20:20:03 -0000
@@ -0,0 +1,10 @@
+# $Id: Makefile,v 1.1 2003/10/20 16:48:45 max Exp $
+# $FreeBSD$
+
+FILESDIR=		${DESTDIR}/etc/bluetooth
+FILES=			hcsecd.conf hosts protocols
+FILESMODE_hcsecd.conf=	600
+FILESMODE_hosts=	644
+
+.include <bsd.prog.mk>
+.include <bsd.files.mk>
Index: src/etc/mtree/BSD.root.dist
===================================================================
RCS file: /usr/obj/src/etc/mtree/BSD.root.dist,v
retrieving revision 1.64
diff -u -r1.64 BSD.root.dist
--- src/etc/mtree/BSD.root.dist	17 Aug 2003 07:48:09 -0000	1.64
+++ src/etc/mtree/BSD.root.dist	21 Oct 2003 20:21:50 -0000
@@ -20,6 +20,8 @@
     etc
         X11
         ..
+        bluetooth
+        ..
         defaults
         ..
         gnats
Index: src/share/examples/Makefile
===================================================================
RCS file: /usr/obj/src/share/examples/Makefile,v
retrieving revision 1.40
diff -u -r1.40 Makefile
--- src/share/examples/Makefile	24 Nov 2002 23:57:07 -0000	1.40
+++ src/share/examples/Makefile	21 Oct 2003 20:36:13 -0000
@@ -144,6 +144,7 @@
 	meteor/test-n.c \
 	meteor/yuvpk.c \
 	meteor/yuvpl.c \
+	netgraph/bluetooth/rc.bluetooth \
 	netgraph/ether.bridge \
 	netgraph/frame_relay \
 	netgraph/ngctl \
